Page 1 of 1

libreoffice-7.3.5.2

Posted: 24. Jul 2022, 05:50
by djemos
LibreOffice 7.3.5.2 with java and help support. (Only for slackware current)
To build the package for slackware 15.0
1. Install the dependency packages
libnumbertext
apache-ant
openjdk (openjdk needed to build libreoffice. After installation can remove openjdk and install openjre which is small in size)
2. Remove any previous existing LibreOffice installation otherwise build will fail. Then run the SLKBUILD.


All help and locale packages for 7.3.2 or download only packages for your language x86_64 and x86

Slackel users do not have to do anything, system will inform for update.

Re: libreoffice-7.3.5.2

Posted: 28. Jul 2022, 18:34
by gapan
Unfortunately the packages don't work for 15.0. They require glibc 2.34 which is only on current.

But I will use the SLKBUILDs to build packages for 15.0. Not sure if I want to include java support. Thanks djemos!

Re: libreoffice-7.3.5.2

Posted: 28. Jul 2022, 20:04
by djemos
Thanks gapan about glibc, i will edit the post.
About java you can build the packages and then include openjre (libreoffice is working fine with it) which is only 26MB in size. openjdk needed only for building. I have edit the dep files.

Re: libreoffice-7.3.5.2

Posted: 4. Aug 2022, 07:51
by gapan
djemos I just noticed this in your SLKBUILD:

Code: Select all

https://dev-www.libreoffice.org/src/doinst() {
it should really just be

Code: Select all

doinst() {

Re: libreoffice-7.3.5.2

Posted: 5. Aug 2022, 11:22
by djemos
gapan wrote:
4. Aug 2022, 07:51
djemos I just noticed this in your SLKBUILD:

Code: Select all

https://dev-www.libreoffice.org/src/doinst() {
it should really just be

Code: Select all

doinst() {
Thanks.